'''
Advanced Power Temperature Module
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource

class Temperature_Maemo5(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 10000
    self.value = 0
    self.file = '/sys/devices/platform/omap34xx_temp'

  def process(self, lines):
    return long(lines[0])/1000.0
